Page MenuHomePhabricator

Wikimedia needs a short domain name for URL shortening
Closed, ResolvedPublic

Description

Some suggestions from Krinkle:

  • w.org (exists, for sale in Dec 2013) - now redirects to wordpress.org
  • w.co (available)
  • w.ly (exists, unavailable)
  • wmf.org (exists, unavailable)
  • wmf.co (exists, for sale)
  • wmf.ly (available)
  • wi.ki (exists, for sale?)
  • w.mf (available)
  • w.wiki (controlled by WMF)

Version: unspecified
Severity: normal

Details

Reference
bz42270

Related Objects

StatusAssignedTask
ResolvedSmalyshev
ResolvedLadsgroup
ResolvedBBlack
ResolvedLadsgroup
Resolvedmatmarex
Resolvedmatmarex
ResolvedLegoktm
Resolvedmatmarex
DuplicateNone
Resolvedori
ResolvedBBlack
ResolvedBBlack
Resolved dpatrick
ResolvedPrtksxna
ResolvedLegoktm
ResolvedLegoktm
ResolvedArielGlenn
ResolvedJoe
ResolvedBBlack
ResolvedSmalyshev
ResolvedLadsgroup
ResolvedMarostegui
ResolvedLegoktm
ResolvedPrtksxna
ResolvedLadsgroup
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:46 AM
bzimport set Reference to bz42270.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Nov 19 2012, 7:47 PM

I sent an inquiry re w.org.

Apparently GoDaddy (ugg) wants no less than $50,000 for w.org.

daniel wrote:

This issue lacks some critical specifications to be actionable, certainly at any priority or urgency.

  1. Maximum length allowed? There are plenty cheap names of nine characters (e.g. WMFSL.ORG, which I'd gladly hand over). For short URL applications, e.g. with 140-character limit, does it really matter if the short URL is 22 characters (http://xxxxx.xxx/xxxxxx) vs. 18 characters (http://x.xx/xxxxxx)? (More than 2 URLs in short messages are unusual.) Also, anything shorter than "wmf" loses identity.
  2. Exact budget limitation for shorter names? What's the added budget for an 8-character name? 6 characters? Minimal 4 characters?
  3. Exact time limitations for shorter names? What's the cost of waiting another month? Year? Why not use a cheap nine-letter domain name now and map to a shorter one if and when it's acquired?
  4. TLD limitations. e.g. isn't country association problematic? Why not xxxxx.ORG? Is that one less letter really worth tens of thousands of dollars and the time it would take to identify and acquire it?

kaie wrote:

Hello. The domain name isn't that important.

The important benefit is shortening the right hand side of URLs, which can easily be more than 50 characters.

(I'd propose that one single domain gets used for anything related to wikipedia and wikmedia, but it might be a good idea to implement a whitelist the domains that are related (preventing unrelated URLs to be shortened).)

In order to unblock this task, let's simply pick one that's reasonable short (less than 10 characters) and makes some sense.

Did you say you are already in possession of the "wmfsl.org" domain?
What does "sl" mean? Would that be appropriate for other wikipedia content, too?

Here is another proposal, that contains the generic word "url", gives an indication to wikipedia/wikimedia in general, without pointing to "foundation" in particular:

wikurl.org

(domain available at time of typing this comment, and cheap, let's be quick to register if you like this idea. I'd be glad to register this for you, but I guess it's better if the wiki* organization registers it right away.)

Thanks for helping to push this forward!

kaie wrote:

(and "wikurl.org" is even shorter than the popular "tinyurl.com")

daniel wrote:

Re "wmfsl.org" I was thinking "short link". I've actually turned it on as a working prototype. See https://wmfsl.org/.1mwekhv (It's Bitly based, so doesn't address privacy/secrecy issues.)

daniel wrote:

I'm studying the related issues and RFCs. I don't see any need to further postpone a phase 1 solution that simply provides short links. Other considerations were shorter links that still preserved some bit of human readability that can be addressed in a subsequent phase.

(In reply to Kai Engert from comment #5)

(and "wikurl.org" is even shorter than the popular "tinyurl.com")

fwiw wkurl.org is even shorter and also available.

(In reply to Daniel Norton from comment #6)

Re "wmfsl.org" I was thinking "short link".

I'm nobody and I have no special interest in this feature, but a derivative of "wiki"is better than a derivative of "Wikimedia Foundation", and "URL" is a quite neutral acronym, even if it comes from English as well.

kaie wrote:

Thanks for explaining the meaning of "wmfsl".

I don't have a strong opinion. I think that "wikurl" or "wkurl" are slightly more readable and prouncable than "wmfsl", and it seems there is some support for the argument that avoiding a focus on "foundation" might be good.

But besides that, I think something is better than nothing.

Since there is a good explanation for "wmfsl", and since you have already configured, and if you have a preference to use "wmfsl", don't let our ideas stop you from proceeding.

Daniel, thanks a lot for working on this!

daniel wrote:

A good point, Quim. For that matter wkil.org is shorter, still. (So I've obtained it, too: http://wkil.org/.1jReFWR ) (We're all "nobodys" right? ;-) I'm more interested in principles and practices, and less about personalities.)

But, again, the domain name is relatively minor, as long as we settle on something. (We can change to a permanent one, later, if needed.) Let's get something working...

p.s. If you really like a domain name, please acquire it before mentioning it publicly (i.e. here), so that an opportunistic speculator can't hijack it.

mxn added a subscriber: mxn.Nov 24 2014, 9:00 PM

We now have w.wiki, which would work nicely for a URL shortener domain.

I can say that for video production, it's much easier to advertise a short URL than a long one. Here's a case in point:

Also, I think that $50,000 for w.org would be well worth it. It's VERY easy to remember.

Sitic added a subscriber: Sitic.Jun 13 2015, 11:11 AM
Glaisher lowered the priority of this task from High to Low.Jun 13 2015, 12:45 PM
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2015, 7:24 AM
Dzahn added a subscriber: Dzahn.

Added blocking task "acquire SSL cert for w.wiki"

Legoktm updated the task description. (Show Details)Aug 14 2015, 10:29 PM
Legoktm set Security to None.
BBlack closed this task as Resolved.Dec 11 2015, 2:27 AM
BBlack claimed this task.
BBlack added a subscriber: BBlack.

w.wiki was selected, and we've deployed certs for it, so I think we're done on this particular task.